* -     ***********************************
* -     *          LOGPRINT.CMD           *
* -     *  Formatted Printout of Ham Log  *
* -     ***********************************
* - Written 2/16/85 by Orbra W. Bliss
* - 
ERASE
SET MARGIN TO 0
SET EJECT OFF
SET TALK OFF
IF MDSK= 'Y'
   SET ALTERNATE TO &LOGPRNT
   SET ALTERNATE ON
ENDIF
STORE 'LOG OF AMATEUR RADIO STATION HC1BW' TO TITLE
STORE '  DATE     EST    CALL      NAME' TO HEAD1
STORE 'QTH               RPT   BND  MODE' TO HEAD2
STORE 1 TO A
STORE 1 TO PAGE
SET FORMAT TO PRINT
@ A,20 SAY TITLE
STORE A+2 TO A
@ A,1  SAY HEAD1
@ A,47 SAY HEAD2
STORE A+2 TO A
GO TOP
DO WHILE .NOT. EOF
   IF *
      SKIP
   ENDIF
STORE BAND TO MBAND
STORE MODE TO MMODE
STORE DATE TO MDATE
STORE RPT  TO MRPT
STORE TIME TO MTIME
STORE STATION TO MSTATION
STORE NAME TO MNAME
STORE QTH  TO MQTH
SKIP
SET FORMAT TO PRINT 
@ A,1  SAY MDATE
@ A,10 SAY CHR(124)
@ A,12 SAY MTIME
@ A,17 SAY CHR(124)
@ A,19 SAY MSTATION
@ A,29 SAY MNAME
@ A,44 SAY MQTH
@ A,65 SAY MRPT
@ A,69 SAY CHR(124)
@ A,71 SAY MBAND
@ A,74 SAY CHR(124)
@ A,76 SAY MMODE
STORE A+1 TO A
IF A=60
   STORE A+1 TO A
   @ A,30 SAY PAGE 
   STORE PAGE+1 TO PAGE
   ? CHR(12)
   STORE 1 TO A
   @ A,20 SAY TITLE
   STORE A+2 TO A
   @ A,1  SAY HEAD1
   @ A,47 SAY HEAD2
   STORE A+2 TO A
ENDIF
ENDDO
STORE 60 TO A
@ A,30 SAY PAGE
? CHR(12)+CHR(13)
SET ALTE OFF
SET PRINT OFF
SET TALK ON
SET FORMAT TO SCREEN
? CHR(7)
RETURN
